Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023761
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-05-08 09:272015-02-24 11:28
ReporteregoitzView Statuspublic 
Assigned Toinigosanchez 
PriorityurgentResolutionout of dateFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023761: Memory leaks on the browser

DescriptionAfter a long time using the application without closing the broswer, the broswer starts having a bad peformance
Steps To ReproduceUse the application for a long time.
Proposed SolutionUse the following documentation:

http://planet.openbravo.com/?p=42126 [^]

ALSO:

* With Chrome Dev Tools - Enable the timeline, check the Memory [1]
* Open several tabs - Memory consumption should increase
* Close tabs - the memory consumption should decrease

You could also create a snapshot [2] of the JavaScript heap memory, and compare it after closing the tabs.

[1] https://code.google.com/chrome/devtools/docs/timeline.html [^] [^]
[2] https://code.google.com/chrome/devtools/docs/profiles.html [^] [^]
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0018227 closedalostale Closing a tab doesn't release all objects 
related to defect 00259853.0PR14Q3 closedAugustoMauch P&E smarclient datasources are leaked 
blocks defect 0025986 closedAugustoMauch notes datasources are leaked 

-  Notes
(0058535)
hgbot (developer)
2013-05-10 09:51

Repository: erp/devel/pi
Changeset: 253b5864e293bfe80281bf5741152e136fc641bc
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 10 08:57:18 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/253b5864e293bfe80281bf5741152e136fc641bc [^]

Related to issue 23761: Fixed leaks when Alerts iwndow is opened

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-management-view.js
---
(0058536)
hgbot (developer)
2013-05-10 09:51

Repository: erp/devel/pi
Changeset: 2065f7a458973c2f8c0c17157522cd23bd8a135b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 10 08:58:02 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2065f7a458973c2f8c0c17157522cd23bd8a135b [^]

Related to issue 23761: Fixed leaks when Help menu is opened

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-help-about-widget.js
---
(0058537)
hgbot (developer)
2013-05-10 09:51

Repository: erp/devel/pi
Changeset: 7523596301430c80ee775e756cdfcda1b4a3bfaf
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 10 08:58:48 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7523596301430c80ee775e756cdfcda1b4a3bfaf [^]

Related to issue 23761: Fixed leaks when the quick launch menu is opened

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-quick-launch.js
---
(0058538)
hgbot (developer)
2013-05-10 09:51

Repository: erp/devel/pi
Changeset: 58ca94d1bf65117aa11d23eb4052b2ada0fd5bfb
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 10 09:27:29 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/58ca94d1bf65117aa11d23eb4052b2ada0fd5bfb [^]

Related to bug 23761: Fixed leaks in Recent Views menu when a window is opened

---
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
---
(0058539)
hgbot (developer)
2013-05-10 09:51

Repository: erp/devel/pi
Changeset: 590cb3340e9a2a9d52f2f0947a999db962511325
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 10 09:50:14 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/590cb3340e9a2a9d52f2f0947a999db962511325 [^]

Related to issue 23761: Fixed destroyAndRemoveMembers function

There was a bug in the destroyAndRemoveMembers. This function is used to destroy and remove a list of members from a layout. When this function was used ~50%
of the members of the layout where not being destroyed, causing leaks.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0058571)
hgbot (developer)
2013-05-12 23:10

Repository: erp/devel/pi
Changeset: fdad1b48e5c6ce10fd3579b90d68010e800e1e4d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Sun May 12 23:07:30 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fdad1b48e5c6ce10fd3579b90d68010e800e1e4d [^]

Related to issue 23761: Refactored destroyAndRemoveMembers function

The function has been modified so that it removes the members the layout before destroying them.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0058706)
hgbot (developer)
2013-05-20 17:46

Repository: erp/devel/pi
Changeset: 83655f9606f4838f040855b74ac771495cd673cb
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon May 20 17:45:39 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/83655f9606f4838f040855b74ac771495cd673cb [^]

Related to issue 23761: Remove members after destroying them

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0058789)
hudsonbot (developer)
2013-05-23 01:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058790)
hudsonbot (developer)
2013-05-23 01:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058791)
hudsonbot (developer)
2013-05-23 01:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058792)
hudsonbot (developer)
2013-05-23 01:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058793)
hudsonbot (developer)
2013-05-23 01:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058803)
hudsonbot (developer)
2013-05-23 01:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058837)
hudsonbot (developer)
2013-05-23 01:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0072098)
alostale (developer)
2014-11-28 09:48

To review if it still happens
(0074837)
alostale (developer)
2015-02-24 11:28

no leaks currently detected.

If new ones are detected, please report a new issue specifying which ones.

- Issue History
Date Modified Username Field Change
2013-05-08 09:27 egoitz New Issue
2013-05-08 09:27 egoitz Assigned To => AugustoMauch
2013-05-08 09:27 egoitz Modules => Core
2013-05-08 09:27 egoitz Triggers an Emergency Pack => No
2013-05-08 10:45 egoitz Proposed Solution updated
2013-05-08 10:46 egoitz Relationship added related to 0018227
2013-05-08 11:45 egoitz Target Version => 3.0MP24
2013-05-08 13:43 alostale Tag Attached: Performance
2013-05-10 09:51 hgbot Checkin
2013-05-10 09:51 hgbot Note Added: 0058535
2013-05-10 09:51 hgbot Checkin
2013-05-10 09:51 hgbot Note Added: 0058536
2013-05-10 09:51 hgbot Checkin
2013-05-10 09:51 hgbot Note Added: 0058537
2013-05-10 09:51 hgbot Checkin
2013-05-10 09:51 hgbot Note Added: 0058538
2013-05-10 09:51 hgbot Checkin
2013-05-10 09:51 hgbot Note Added: 0058539
2013-05-12 23:10 hgbot Checkin
2013-05-12 23:10 hgbot Note Added: 0058571
2013-05-20 17:46 hgbot Checkin
2013-05-20 17:46 hgbot Note Added: 0058706
2013-05-21 14:03 eintelau Issue Monitored: eintelau
2013-05-22 23:59 egoitz Relationship added related to 0023623
2013-05-23 00:00 egoitz Relationship deleted related to 0023623
2013-05-23 01:32 hudsonbot Checkin
2013-05-23 01:32 hudsonbot Note Added: 0058789
2013-05-23 01:32 hudsonbot Checkin
2013-05-23 01:32 hudsonbot Note Added: 0058790
2013-05-23 01:32 hudsonbot Checkin
2013-05-23 01:32 hudsonbot Note Added: 0058791
2013-05-23 01:32 hudsonbot Checkin
2013-05-23 01:32 hudsonbot Note Added: 0058792
2013-05-23 01:32 hudsonbot Checkin
2013-05-23 01:32 hudsonbot Note Added: 0058793
2013-05-23 01:32 hudsonbot Checkin
2013-05-23 01:32 hudsonbot Note Added: 0058803
2013-05-23 01:34 hudsonbot Checkin
2013-05-23 01:34 hudsonbot Note Added: 0058837
2013-05-27 13:42 jonalegriaesarte Target Version 3.0MP24 => 3.0MP25
2013-06-04 10:57 AugustoMauch Severity critical => major
2013-06-11 09:49 alostale Priority immediate => urgent
2013-06-21 10:40 AugustoMauch Target Version 3.0MP25 => 3.0MP26
2013-07-23 12:43 AugustoMauch Target Version 3.0MP26 => 3.0MP27
2013-08-29 12:42 AugustoMauch Target Version 3.0MP27 => 3.0MP28
2013-09-03 09:51 AugustoMauch Target Version 3.0MP28 =>
2014-03-13 17:00 alostale Relationship added related to 0025985
2014-05-23 07:56 alostale Relationship added blocks 0025986
2014-05-23 07:57 alostale Summary Memory leaks on the broswer => Memory leaks on the browser
2014-11-28 09:48 alostale Note Added: 0072098
2014-12-10 12:27 alostale Assigned To AugustoMauch => inigosanchez
2015-02-24 11:28 alostale Note Added: 0074837
2015-02-24 11:28 alostale Status new => closed
2015-02-24 11:28 alostale Resolution open => out of date


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker